Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
New Contributor
Posts: 8
Registered: ‎07-06-2010
My Device: 8530
My Carrier: US Cellular

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I too just got this error.  I have drilled down into the exception log, event viewer etc and come up wtih this error:

 

C:\Documents and Settings\scc\Application Data\Rim.Desktop.Exception.log

 

10:15:40.879|FATAL|1|Exception|0|Fatal Error

System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.ArgumentOutOfRangeException: Specified argument was out of the range of valid values.

Parameter name: fileLength

   at Rim.Common.Utilities.FileChecksum.GetFileHeaderAndFooterStream(IFilePath filePath, Int32 headerLength, Int32 footerLength)

   at Rim.Common.Utilities.FileChecksum.GetChecksum(IFilePath filePath)

   at Rim.Media.Sync.SyncControllers.DesktopToDevice.SyncControllerProxy.AreSourceSignaturesDifferent(String itemSignature, FileChecksum fileChecksum, IFilePath filePath)

   at Rim.Media.Sync.SyncControllers.DesktopToDevice.SyncControllerProxy.GetChangedMediaItemCount[T](FileChecksum fileChecksum, Int32 changedMediaItemCount, Boolean returnAfterOne)

 

This continues on for a couple of pages.  Any ideas on what happened?  I noticed also that a couple of my memo files were missing yesterday from my Blackberry and I had to restore them from an old backup.

 

I also got an error in my outlook stating something like RIM handheld something could not be found... this was a dialog that only appeared once, and I lost the dialog during the copy and paste.

 

Steve

New Member
Posts: 1
Registered: ‎10-05-2010
My Device: Torch 9800
My Carrier: Bell Canada

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

Looks like the installer - 600_b047_multilanguage.exe - is messed up because it happened to me as well.

 

The installer prompted me to install Microsoft Visual C++ 2008 and i didn't have it so I chose to install it.

Looked like it went through the process successfully and then I launched Desktop Manager 6.0 and it would exit out when I tried to configure my Torch 9800.

 

I noticed that there were some extracted installer files in the root of my C: drive and that they were for Visual C++.

I manually installed MS Visual C++ 2005 and also 2008 and then launched Desktop Manager without any issues.

 

I hope this helps people out because the phone is awesome and works great for me.

New Contributor
Posts: 8
Registered: ‎07-06-2010
My Device: 8530
My Carrier: US Cellular

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I wonder when BlackBerry is going to re-release a version of the desktop software that will fix this.  No my BlackBerry is getting so far out of date with my calendar it isn't even funny.  I have downloaded the 6.0 version again, uninstalled and reinstalled.  It started by making a backup copy of the blackberry.  It hen asked me to configure the device and just error'd again with the following when it tried to do something with media sync.  It never did sync the calendar this time:

 

Error in event viewer:

EventType clr20r3, P1 rim.desktop.exe, P2 6.0.0.43, P3 4c758111, P4 mscorlib, P5 2.0.0.0, P6 4a7cd8f7, P7 f4f, P8 7, P9 n3ctrye2kn3c34sgl4zqyrbfte4m13nb, P10 NIL.

New Contributor
Posts: 6
Registered: ‎08-24-2010
My Device: Bold 9700
My Carrier: Bell Mobility

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I'm experiencing the same problems as everyone else... I too tried cleaning and re-installing the .NET framework too...

 

Do you have a private message for me?

 

This is REALLY frustrating.

 

I have the software successfully working on my "work" laptop.

Contributor
Posts: 21
Registered: ‎09-20-2010
My Device: Curve 8330
My Carrier: Sprint

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

Everyone,

 

Blackberry support asked me to send them a file.  I have done so, and they are looking at it now.  Hopefully, that will provide some answers.

 

Thanks.

Contributor
Posts: 10
Registered: ‎08-18-2010
My Device: Not Specified

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

Any update for this issue?

Contributor
Posts: 21
Registered: ‎09-20-2010
My Device: Curve 8330
My Carrier: Sprint

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I haven't receieved any new information.

New Contributor
Posts: 2
Registered: ‎09-11-2010
My Device: Curve 8330
My Carrier: Telus

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

Has anyone heard ANYTHING - gotta say, getting REALLY tired of all the BBerry issues..... like office 2010 etc. etc...... now this - starting to wonder if i'm going to jump the berry ship!

Contributor
Posts: 21
Registered: ‎09-20-2010
My Device: Curve 8330
My Carrier: Sprint

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I am still not able to run the 6.0 Desktop Manager and Auto Updater.  I get the same errors, so I am back on 5.0.1.

 

Any news?

 

Thanks.

Contributor
Posts: 21
Registered: ‎09-20-2010
My Device: Curve 8330
My Carrier: Sprint

Re: Desktop Manager 6.0 Crashes -- using .NET 2 instead of 3.5

I haven't seen a newer build since 47 for the Desktop Manager software.

 

Does anyone know if there is a command I could run to tell me the default version of .NET that is running on my computer?  I know for JAVA I could use "java -version."  Is there a way I could set it globally like including something in the PATH and/or CLASSPATH?

 

Thank you.